{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_wither_rose_x_singleblock"
    },
    "places_block": "minecraft:wither_rose",
    "enforce_survivability_rules": false,
    "enforce_placement_rules": false,
    "may_replace": [
      {
        "tags": "query.any_tag('custom_carpet')"
      },
      {
        "tags": "query.any_tag('custom_leaves')"
      },
      {
        "tags": "query.any_tag('custom_plant')"
      },
      {
        "tags": "query.any_tag('custom_sprouts')"
      },
      "minecraft:air",
      "minecraft:brown_mushroom",
      "minecraft:crimson_fungus",
      "minecraft:crimson_roots",
      "minecraft:fire",
      "minecraft:glow_lichen",
      "minecraft:nether_sprouts",
      "minecraft:red_mushroom",
      "minecraft:sculk_vein",
      "minecraft:soul_fire",
      "minecraft:twisting_vines",
      "minecraft:warped_fungus",
      "minecraft:warped_roots",
      "minecraft:weeping_vines"
    ],
    "may_attach_to": {
			"bottom": [
        {
          "tags": "query.any_tag('soul_sand')"
        },
        {
          "tags": "query.any_tag('soul_soil')"
        },
				"minecraft:soul_sand",
				"minecraft:soul_soil"
			]
		}
  }
}